Storage {                             # definition of myself
  Name = bacula-iron-sd
  SDPort = 9103                  # Director's port
  WorkingDirectory = "/var/db/bacula"
  Pid Directory = "/var/run"
  Plugin Directory = "/usr/local/lib"
  Maximum Concurrent Jobs = 20
  SDAddress = 10.85.3.31
}
 
Director { # Director who is allowed to contact us
  Name     = bacula-dir
  Password = "iamnotacrook"
}

Autochanger {
  Name = "Iron-Autochanger"
  Device = Drive-0-LTO-3
  Changer Device = /dev/pass1
  Changer Command = "/usr/local/sbin/mtx-changer %c %o %S %a %d"
}

Device {
	Name = Drive-0-LTO-3
	Media Type = LTO-3
	Archive Device = /dev/nsa0
	AutomaticMount = yes;               # when device opened, read it
	AlwaysOpen = yes;
	RemovableMedia = yes;
	RandomAccess = no;
	Maximum File Size = 4GB
	#Changer Command = "/opt/bacula/scripts/mtx-changer %c %o %S %a %d"
	Changer Command = "/usr/local/sbin/mtx-changer %c %o %S %a %d"
	Changer Device = /dev/pass1
	AutoChanger = yes
	# Enable the Alert command only if you have the mtx package loaded
		Alert Command = "sh -c 'tapeinfo -f %c |grep TapeAlert|cat'"
	# If you have smartctl, enable this, it has more info than tapeinfo 
	# Alert Command = "sh -c 'smartctl -H -l error %c'"  
}


#
# A Linux or Solaris LTO-3 tape drive
#
#Device {
#  Name = LTO-3
#  Media Type = LTO-3
#  Archive Device = /dev/nst0
#  AutomaticMount = yes;               # when device opened, read it
#  AlwaysOpen = yes;
#  RemovableMedia = yes;
#  RandomAccess = no;
#  Maximum File Size = 4GB
# Changer Command = "/etc/bacula/scripts/mtx-changer %c %o %S %a %d"
# Changer Device = /dev/sg0
# AutoChanger = yes
#  #
#  # New alert command in Bacula 9.0.0
#  #  Note: you must have the sg3_utils (rpms) or the
#  #        sg3-utils (deb) installed on your system.
#  #        and you must set the correct control device that
#  #        corresponds to the Archive Device
#  Control Device = /dev/sg??  # must be SCSI ctl for /dev/nst0
#  Alert Command = "/etc/bacula/scripts/tapealert %l"
#
#  # Enable the Alert command only if you have the mtx package loaded
## Alert Command = "sh -c 'tapeinfo -f %c |grep TapeAlert|cat'"
## If you have smartctl, enable this, it has more info than tapeinfo
## Alert Command = "sh -c 'smartctl -H -l error %c'"
#}
 
Messages {
  Name     = Standard
  director = bacula-dir = all
}
